import { Query, Logger_LogLevel } from "./w3";
import { Plugin, PluginPackageManifest, PluginPackage } from "@web3api/core-js";
export declare type LogFunc = (level: Logger_LogLevel, message: string) => boolean;
export declare class LoggerPlugin extends Plugin {
    private _logFunc?;
    constructor(logFunc?: LogFunc);
    static manifest(): PluginPackageManifest;
    getModules(): {
        query: Query.Module;
    };
    log(level: Logger_LogLevel, message: string): boolean;
}
export declare const loggerPlugin: () => PluginPackage;
export declare const plugin: () => PluginPackage;
