import * as Types from "./";
import { Client, InvokeApiResult } from "@web3api/core-js";
export declare type UInt = number;
export declare type UInt8 = number;
export declare type UInt16 = number;
export declare type UInt32 = number;
export declare type Int = number;
export declare type Int8 = number;
export declare type Int16 = number;
export declare type Int32 = number;
export declare type Bytes = Uint8Array;
export declare type BigInt = string;
export declare type Json = string;
export declare type String = string;
export declare type Boolean = boolean;
export declare enum Logger_LogLevelEnum {
    DEBUG = 0,
    INFO = 1,
    WARN = 2,
    ERROR = 3
}
export declare type Logger_LogLevelString = "DEBUG" | "INFO" | "WARN" | "ERROR";
export declare type Logger_LogLevel = Logger_LogLevelEnum | Logger_LogLevelString;
interface Logger_Query_Input_log extends Record<string, unknown> {
    level: Types.Logger_LogLevel;
    message: String;
}
export declare const Logger_Query: {
    log: (input: Logger_Query_Input_log, client: Client) => Promise<InvokeApiResult<Boolean>>;
};
export {};
